Get Activity Checkpoint
curl --request GET \
--url https://api.hyperspell.com/memories/activity/checkpoints/{checkpoint_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hyperspell.com/memories/activity/checkpoints/{checkpoint_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hyperspell.com/memories/activity/checkpoints/{checkpoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hyperspell.com/memories/activity/checkpoints/{checkpoint_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hyperspell.com/memories/activity/checkpoints/{checkpoint_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hyperspell.com/memories/activity/checkpoints/{checkpoint_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hyperspell.com/memories/activity/checkpoints/{checkpoint_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"checkpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_id": "<string>",
"revision": 123,
"title": "<string>",
"captured_at": "2023-11-07T05:31:56Z",
"document_date": "2023-11-07T05:31:56Z",
"baseline": true,
"content_hash": "<string>",
"agent": "<string>",
"workstream": "<string>",
"text": "<string>",
"offset": 123,
"next_offset": 123,
"total_characters": 123,
"history_type": "captured_summary",
"visibility": "personal"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Memories
Get Activity Checkpoint
Read part of a private capture with explicit continuation.
This is the summary recorded at capture time, not a conversation transcript or verification of the agent’s claims. Source links retain their own permissions.
GET
/
memories
/
activity
/
checkpoints
/
{checkpoint_id}
Get Activity Checkpoint
curl --request GET \
--url https://api.hyperspell.com/memories/activity/checkpoints/{checkpoint_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hyperspell.com/memories/activity/checkpoints/{checkpoint_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hyperspell.com/memories/activity/checkpoints/{checkpoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hyperspell.com/memories/activity/checkpoints/{checkpoint_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hyperspell.com/memories/activity/checkpoints/{checkpoint_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hyperspell.com/memories/activity/checkpoints/{checkpoint_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hyperspell.com/memories/activity/checkpoints/{checkpoint_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"checkpoint_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_id": "<string>",
"revision": 123,
"title": "<string>",
"captured_at": "2023-11-07T05:31:56Z",
"document_date": "2023-11-07T05:31:56Z",
"baseline": true,
"content_hash": "<string>",
"agent": "<string>",
"workstream": "<string>",
"text": "<string>",
"offset": 123,
"next_offset": 123,
"total_characters": 123,
"history_type": "captured_summary",
"visibility": "personal"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Headers
Optionally set this header to act as a specific user when using an API Key, equivalent to first exchanging the API Key for a User Token
Path Parameters
Query Parameters
Required range:
0 <= x <= 2147483646Required range:
1 <= x <= 24000Response
Successful Response
Title preview, at most 500 characters.
Was this page helpful?